<div>
  {{heading}}
  <table>
    <tr *ngFor="let rowIndex of [1,2,3,4,5,6,7,8,9]">
      <td *ngFor="let columnIndex of [1,2,3,4,5,6,7,8,9]"
        [class.quadrantBorderRight]="columnIndex === 3 || columnIndex === 6 || columnIndex === 9"
        [class.quadrantBorderLeft]="columnIndex === 1 || columnIndex === 4 || columnIndex === 7"
        [class.quadrantBorderBottom]="rowIndex === 3 || rowIndex === 6 || rowIndex === 9"
        [class.quadrantBorderTop]="rowIndex === 1 || rowIndex === 4 || rowIndex === 7"
        [class.green]="sudoku.getCell(rowIndex,columnIndex)===highlightedCell && likelyness === 1"
        [class.yellow]="sudoku.getCell(rowIndex,columnIndex)===highlightedCell && likelyness < 1"
        [class.initial]="sudoku.isInitialCell(sudoku.getCell(rowIndex,columnIndex))"
        [class.notInitial]="!sudoku.isInitialCell(sudoku.getCell(rowIndex,columnIndex))">
        {{sudoku.getCell(rowIndex,columnIndex).value}}
      </td>
    </tr>
  </table>
  <small *ngIf="likelyness<1">Likelyness for correct guess: {{likelyness*100 | number: '1.0-2'}}%</small>
  <small *ngIf="likelyness===1">&nbsp;</small>
</div>
